//获取当前最近一个月的时间  //仅仅精确到日期
export const getNowMonthDate=()=>{
    let startMonth= getLastMonthYestdy()
    let endMonth = getNowFormatDate()
    let list = endMonth.split(' ')
    endMonth = list[0]
    return {startMonth,endMonth}
}

export const getLastMonthYestdy =()=>{
    var date = new Date(); //        1    2    3    4    5    6    7    8    9   10    11   12月
    var daysInMonth = new Array([0],[31],[28],[31],[30],[31],[30],[31],[31],[30],[31],[30],[31]);
    var strYear = date.getFullYear();
    var strDay = date.getDate();
    var strMonth = date.getMonth()+1;
    if(strYear%4 == 0 && strYear%100 != 0){//一、解决闰年平年的二月份天数   //平年28天、闰年29天//能被4整除且不能被100整除的为闰年
        daysInMonth[2] = 29;
    }
    if(strMonth - 1 == 0) //二、解决跨年问题
    {
        strYear -= 1;
        strMonth = 12;
    }else{
        strMonth -= 1;
    }
//        strDay = daysInMonth[strMonth] >= strDay ? strDay : daysInMonth[strMonth];
    strDay = Math.min(strDay,daysInMonth[strMonth]);//三、前一个月日期不一定和今天同一号，例如3.31的前一个月日期是2.28；9.30前一个月日期是8.30

    if(strMonth<10)//给个位数的月、日补零
    {
        strMonth="0"+strMonth;
    }
    if(strDay<10)
    {
        strDay="0"+strDay;
    }
    var datastr = strYear+"-"+strMonth+"-"+strDay;
    return datastr;
}
export const getNowFormatDate=()=> {
    var date = new Date();
    var seperator1 = "-";
    var seperator2 = ":";
    var month = date.getMonth() + 1;
    var strDate = date.getDate();
    if (month >= 1 && month <= 9) {
        month = "0" + month;
    }
    if (strDate >= 0 && strDate <= 9) {
        strDate = "0" + strDate;
    }
    var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate
        + " " + date.getHours() + seperator2 + date.getMinutes()
        + seperator2 + date.getSeconds();
    return currentdate;

}