
var path = require('path')
var config = require('../static/config.json')
var proxyrs = () => {
    let configproxy = config.proxyPrefix;
    let proxyserverpath = config.proxyserverpath
    let obj = {}
    let repathRewrite = {}
    repathRewrite['^'+configproxy+''] = ""
    obj[configproxy] = {target: proxyserverpath, changeOrigin: true,pathRewrite: repathRewrite}
    return obj
}
module.exports = {
    build: {
        env: require('./prod.env'),
        index: path.resolve(__dirname, '../dist/index.html'),
        assetsRoot: path.resolve(__dirname, '../dist'),
        assetsSubDirectory: 'static',
        assetsPublicPath: '/',
        productionSourceMap: true,
        productionGzip: false,
        productionGzipExtensions: ['js', 'css'],
        bundleAnalyzerReport: process.env.npm_config_report
    },
    dev: {
        env: require('./dev.env'),
        port: 8084,
        autoOpenBrowser: true,
        assetsSubDirectory: 'static',
        assetsPublicPath: '/',
        proxyTable: proxyrs(),
        cssSourceMap: false
    }
}
