#!/bin/bash
PROG_NAME=$0
ACTION=$1
ONLINE_OFFLINE_WAIT_TIME=6  # 实例上下线的等待时间
APP_START_TIMEOUT=50     # 等待应用启动的时间
APP_TMP=/home/admin/app/web/dist  # 从package.tgz中解压出来的包放到这个目录下
APP_HOME=/home/admin/capt-web/web

# 创建出相关目录
mkdir -p ${APP_HOME}

usage() {
    echo "Usage: $PROG_NAME {start|stop|online|offline|restart}"
    exit 2
}
start_web() {
    echo "start web"
    cp -R ${APP_TMP}/* ${APP_HOME}
}

start() {
    start_web
}

case "$ACTION" in
    start)
        start
    ;;
    *)
        usage
    ;;
esac
