import Vue from 'vue';
const isServer = Vue.prototype.$isServer;
const checked = (Checkelist, menuId) => {
  let ischecked = false;

  if (Checkelist && typeof Checkelist != "undefined") {
    let checkedlist = Checkelist.filter(item => {
      return item === menuId;
    });

    if (checkedlist.length > 0) {
      ischecked = true;
    }
  }

  return ischecked;
};
// 树数据转换
export const toTrrePopFor = (treedata) => {
  let newobjtree = []
  const childrenpop = (children) => {
    for (let r = 0; r < children.length; r++) {
      let subitem = children[r]
      newobjtree.push(subitem)
      if (subitem.children && subitem.children.length > 0) {
        childrenpop(subitem.children)
      }
    }
  }
  childrenpop(treedata)
  return newobjtree
}

export const crefooter = (rle) => {

  let ptableall = document.querySelectorAll(".p_total_table");
  if (ptableall && typeof ptableall != "undefined") {
    ptableall.forEach(tableitems => {

      if (tableitems && typeof tableitems != "undefined") {
        let colgroup = tableitems.querySelector("colgroup");
        let cols = colgroup.innerHTML;
        let footertable = tableitems.querySelector(".footertable");
        if (footertable && typeof footertable != "undefined") {
          let footercolgroup = footertable.querySelector("colgroup");
          footercolgroup.innerHTML = cols;
          let width = tableitems.clientWidth;
          footertable.style.width = width + "px";
          //footertable.style.display = "block";
        }
      }

    });
  }
}

export const statupdated=(el) =>{

  if(!el || typeof el=="undefined"){
   return;
  }

  if(grotime && typeof grotime!="undefined"){
    clearTimeout(grotime);
  }
  grotime = setTimeout(() => {
   //let elinput = this.$refs.datainput.$el;
   if(el){
   let inputbox = el.querySelector("input")
    if(inputbox){
     inputbox.readOnly=true;
    }
   }
    crefooter();
  }, 300);

}

function typeOf(obj) {
  const toString = Object.prototype.toString;
  const map = {
    '[object Boolean]': 'boolean',
    '[object Number]': 'number',
    '[object String]': 'string',
    '[object Function]': 'function',
    '[object Array]': 'array',
    '[object Date]': 'date',
    '[object RegExp]': 'regExp',
    '[object Undefined]': 'undefined',
    '[object Null]': 'null',
    '[object Object]': 'object'
  };
  return map[toString.call(obj)];
}

const treeroot = jsondata => {
  let treesort = [];
  let moveitem = [];
  for (var i = 0; i < jsondata.length; i++) {
    if (jsondata[i].parentId === 0) {
      let newitem = jsondata[i].concat();
      //moveitem.push(Object.assign({}, jsondata[i]));
      moveitem.push(newitem);
      jsondata.splice(i, 1);
    }
  }
  treesort = jsondata;

  for (let p = 0; p < moveitem.length; p++) {
    treesort.unshift(moveitem[p]);
  }

  return treesort;
};

const getchildren = (jsondata, itemid) => {
  let children = [];
  for (let r = 0; r < jsondata.length; r++) {
    if (jsondata[r].parentId == itemid) {
      children.push(jsondata[r]);
      break;
    }
  }

  return children;
};

const extend = (o, n) => {
  for (let p in n) {
    if (n.hasOwnProperty(p) && (!o.hasOwnProperty(p)))
      o[p] = n[p];
  }
};

const retitletxt = (name) => {
  let title = name;
  if (name.length > 8) {
    title = name.substring(0, 8) + "..";
  }
  return title;
}

//checked 修改关联
export const treepop = (jsondata, keyqury, Checkelist, isexpand) => {
  let treedata = [];
  let istypemenum = false;
  let expand = true;
  if (isexpand === false) {
    expand = false;
  }
  let islves = keyqury == "menuId" || keyqury == "deptId";

  let rootreedata = jsondata.filter(sub => {
    return sub.parentId === 0;
  });

  for (let r = 0; r < rootreedata.length; r++) {
    let rootitem = rootreedata[r];

    let newparenitem = Object.assign({},
      {
        expand: expand,
        checked: checked(Checkelist, rootitem[keyqury]),
        title: retitletxt(rootitem.name),
        children: []
      },
      rootitem
    );

    treedata.push(newparenitem);

  }

  let subreedata = jsondata.filter(sub => {
    return sub.parentId !== 0;
  });

  for (let t = 0; t < subreedata.length; t++) {
    let item = subreedata[t];

    let issubitems = treedata.filter(subitem => {
      return subitem[keyqury] === item.parentId;
    });

    if (issubitems.length > 0) {
      item["expand"] = expand;
      item["title"] = retitletxt(item.name);
      item["checked"] = checked(Checkelist, item[keyqury]);
      item["children"] = [];
      issubitems[0].children.push(item);

      let subchildren = subreedata.filter(subchilditem => {
        return subchilditem.parentId === item[keyqury];
      });

      if (subchildren.length > 0) {
        for (let j = 0; j < subchildren.length; j++) {
          let jitem = subchildren[j];
          jitem["expand"] = expand;
          jitem["title"] = retitletxt(jitem.name);
          jitem["checked"] = checked(Checkelist, jitem[keyqury]);

          let jitemsubchildren = subreedata.filter(jititems => {
            return jititems.parentId === jitem[keyqury];
          });

          if (jitemsubchildren.length > 0) {
            jitem["children"] = [];
            for (let c = 0; c < jitemsubchildren.length; c++) {
              let citems = jitemsubchildren[c];
              citems["expand"] = expand;
              citems["title"] = retitletxt(citems.name);
              citems["checked"] = checked(Checkelist, jitem[keyqury]);
            }
            jitem["children"] = jitemsubchildren;
          }
        }

        item.children = subchildren;
      }
    }
  }

  if (keyqury === "menuId") {
    treedata = [
      {
        expand: true,
        title: "一级菜单",
        children: treedata,
        menuId: null,
        parentId: 0
      }
    ];
  }

  return treedata;
};

export const ischeckboxdis = (isdisabled, checkdom) => {
  setTimeout(() => {
    let topcheckdoc = "";
    if (checkdom && typeof checkdom != "undefined") {
      topcheckdoc = checkdom;
    } else {
      topcheckdoc = document.querySelector(".ivu-checkbox-input");
    }
    if (topcheckdoc) {
      if (isdisabled) {
        topcheckdoc.disabled = "disabled";
      } else {
        topcheckdoc.disabled = false;
      }
    }
  }, 350);
}

export const txtsubs=(str, len) =>{
 let newlen=0;
 let newtxt="";
  for(let r=0;r < str.length;r++){
     let txt=str[r];
      if(/([\u4e00-\u9fa5])/.test(txt)){
        newlen=newlen + 2;
      }else{
        newlen=newlen + 1;
      }
      if(newlen <= len){
        newtxt=newtxt+txt;
      }
  }
  return { txt: newtxt, lens: newlen};
}

export const cutstr = (str, len) => {
  if (typeof str == "undefined" || !str) {
    return { txt: "", lens: 0 };
  }

  let str_length = 0;
  let str_len = 0;
  let str_cut = new String();

  str_len = str.length;
  for (let i = 0; i < str_len; i++) {
    let a = str.charAt(i);
    str_length++;
    if (escape(a).length > 4) {
      str_length++;
    }
    str_cut = str_cut.concat(a);
    if (str_length >= len) {
      //str_cut = str_cut.concat("...");
      return { txt: str_cut, lens: str_length};
    }
  }

  if (str_length < len) {
    return { txt: str, lens: str_length };
  }
};
export const trtxtlen = (str) => {
  let txtlen = 0;
  if (str && typeof str != "undefined") {
    for (let t = 0; t < str.length; t++) {
      let txts = str[t] + "";
      if (/[\u4e00-\u9fa5]/.test(txts)) {
        txtlen = txtlen + 2;
      } else {
        txtlen = txtlen + 1;
      }
    }
  }
  return txtlen;
}



// deepCopy
function deepCopy(data) {
  const t = typeOf(data);
  let o;

  if (t === 'array') {
    o = [];
  } else if (t === 'object') {
    o = {};
  } else {
    return data;
  }

  if (t === 'array') {
    for (let i = 0; i < data.length; i++) {
      o.push(deepCopy(data[i]));
    }
  } else if (t === 'object') {
    for (let i in data) {
      o[i] = deepCopy(data[i]);
    }
  }
  return o;
}

export { deepCopy };



window.tablecoltime = null;
export const retablecolwidth = (tabledom, h, overflow) => {

  if (window.tablecoltime && typeof window.tablecoltime != "undefined") {
    clearTimeout(window.tablecoltime);
  }
  window.tablecoltime = setTimeout(() => {

    if (tabledom && typeof tabledom != "undefined") {
      if (tabledom.$el && tabledom.hasOwnProperty("$el")) {

        let bodydom = tabledom.$el.querySelector(".ivu-table-body");

        //console.dir(bodydom.lastChild || bodydom.lastElementChild);

        if (bodydom && typeof bodydom!="undefined") {

          if (overflow && typeof overflow != "undefined") {
            bodydom.style.overflowX = overflow;
            bodydom.setAttribute('style','overflow-x:'+overflow+' !important;height:'+h+'px;overflow-y:auto');
          }else{
            bodydom.setAttribute('style','overflow-x:hidden !important;height:'+h+'px;overflow-y:auto');
          }

          //==============还有些问题===================

          // let table = bodydom.querySelector("table");
          // let isnavtable=document.querySelector("div[name='navtable_box']");
          // let ivutableoverflowX=tabledom.$el.querySelector(".ivu-table-overflowX");
          // let issoll=false;
          // if(ivutableoverflowX && typeof ivutableoverflowX!="undefined"){
          //  issoll=true;
          // }


          // if (issoll && table && isnavtable && typeof isnavtable !="undefined") {



          //   let t_h = table.clientHeight;
          //   let t_w = table.clientWidth;
          //   let d_h = bodydom.clientHeight;
          //   let d_w = bodydom.clientWidth;
          //   if (t_h > d_h && t_w > d_w) {
          //     let header = tabledom.$el.querySelector(".ivu-table-header");
          //     let colgroup = header.querySelector("colgroup");
          //     let colattry = colgroup.querySelectorAll("col");
          //     let fendom = colattry[colattry.length - 1];
          //     if (fendom) {
          //       fendom.width = parseInt(fendom.width) + 20;

          //       let tbody_table=bodydom.lastElementChild;
          //       let renewwidth=tbody_table.style.width.replace("px","");
          //       let newwidth = parseInt(renewwidth) - 1;
          //       tbody_table.style.width=newwidth+"px";

          //     }
          //   }
          // }



        }
      }
    }

  }, 30);
};
global.rewidthtime = "";
export const rebodyHeight = (isopen, a, b) => {
  if (rewidthtime && typeof rewidthtime != "undefined") {
    clearTimeout(rewidthtime);
  }
  rewidthtime = setTimeout(() => {
    let bodyh = document.body.clientHeight;
    let tablebodyheith = bodyh - a;
    if (isopen) {
      tablebodyheith = bodyh - b;
    }

    let tablebodydom = document.querySelector(".ivu-table-body");
    if (tablebodydom) {
      tablebodydom.style.height = tablebodyheith + "px";
    }
  }, 100);
}

export const repageOpenedList = (vm, colosname) => {


  let openname = vm.$route.name;
  if (colosname && typeof colosname != "undefined") {
    openname = colosname;
  }
  let newpageOpenedList = [];
  vm.$store.state.pageOpenedList.map(items => {
    if (items.name != openname) {
      newpageOpenedList.push(items);
    }
  });
  vm.$store.state.pageOpenedList = newpageOpenedList;
  localStorage.pageOpenedList = JSON.stringify(newpageOpenedList);

}

export function oneOf(value, validList) {
  for (let i = 0; i < validList.length; i++) {
    if (value === validList[i]) {
      return true;
    }
  }
  return false;
}

export const verificationfilename = (filename, len) => {
  let isverfilename = false;
  let rex = "";
  let rexarry = "";
  switch (len) {
    case 1:
      rex = /^\[[\u4e00-\u9fa5]+\]$/g;
      break;
    case 2:
      rex = /^\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]$/g;
      break;
    case 3:
      rex = /^\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]$/g;
      break;
    case 4:
      rex = /^\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]$/g;
      break;
    case 5:
      rex = /^\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]$/g;
      break;
    case 6:
      rex = /^\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]$/g;
      break;
    case 7:
      rex = /^\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]$/g;
      break;
    case 8:
      rex = /^\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]$/g;
      break;
    case 9:
      rex = /^\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]$/g;
      break;
    case 10:
      rex = /^\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]$/g;
      break;
    case 11:
      rex = /^\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]$/g;
      break;
    case 12:
      rex = /^\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]-?\[[\u4e00-\u9fa5]+\]$/g;
      break;

    default:
      rex = /^\[[\u4e00-\u9fa5]+\]$/g;
      break;
  }

  if (rex.test(filename)) {
    isverfilename = false;
  } else {
    isverfilename = true;
  }
  return isverfilename;
}
